Luxor PlatformAPI DocumentationMining PoolSubaccounts

Update subaccount

Updates a specific subaccount associated to a Workspace.

PATCH
/v2/pool/subaccounts/{subaccount_name}

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

subaccount_name*string

A subaccount name for which to retrieve summary information.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v2/pool/subaccounts/my_subaccount" \  -H "Content-Type: application/json" \  -d '{    "site_id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "action_name": "INVITE_MEMBER",  "status": "PENDING",  "initiated_at": "2019-08-24T14:15:22Z",  "initiated_by": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "display_name": "string",    "type": "API_KEY"  },  "requires_approval": true,  "canceled_by": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "display_name": "string",    "type": "API_KEY"  },  "approved_at": "2019-08-24T14:15:22Z",  "rejected_at": "2019-08-24T14:15:22Z",  "approved_by": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "display_name": "string",      "type": "API_KEY"    }  ],  "rejected_by": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "display_name": "string",      "type": "API_KEY"    }  ],  "url": "/v2/workspace/actions/2976f92e-541c-48ad-81d8-6dd5be77c83a",  "metadata": {    "target": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "[email protected]",      "first_name": "string",      "last_name": "string",      "is_api_key": true,      "api_key_name": "string",      "avatar_url": "http://example.com"    },    "old_role": "string",    "new_role": "string",    "email": "[email protected]",    "workspace": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "product": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "string",      "name": "string"    },    "old_name": "string",    "new_name": "string",    "payment_settings": {      "progressive_username": "string",      "currency": "string",      "frequency": "string",      "day": "string",      "payment_addresses": [        {          "name": "string",          "address": "string",          "split": "string",          "action": "string"        }      ]    },    "watcher_link_name": "string",    "api_key_name": "string",    "subaccount": {      "progressive_user_id": 1,      "account_name": "string"    },    "subaccounts": [      {        "progressive_user_id": 1,        "account_name": "string"      }    ],    "api_key_accesses": [      {        "workspace_product_id": "4d91ae42-33f8-458b-a04a-85cd05480166",        "workspace_product_name": "string",        "role": "string",        "scope": "string"      }    ],    "referral_code": {      "code": "string",      "currency_profile": "string"    },    "is_api_key": true,    "products_assigned": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "name": "string"      }    ],    "products_unassigned": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "name": "string"      }    ],    "invite_member_multiple_products": {      "email": "[email protected]",      "permissions": [        {          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",          "product_name": "string",          "role": "string"        }      ]    },    "derivatives_orders": {      "cancel_existing_orders": true,      "items": [        {          "order_number": 0,          "contract": "string",          "side": "string",          "status": "string",          "unit": "string",          "hashprice": "string",          "size": 0,          "is_gtc": true        }      ]    },    "old_order": {      "order_number": 0,      "contract": "string",      "side": "string",      "status": "string",      "unit": "string",      "hashprice": "string",      "size": 0,      "is_gtc": true    },    "new_order": {      "order_number": 0,      "contract": "string",      "side": "string",      "status": "string",      "unit": "string",      "hashprice": "string",      "size": 0,      "is_gtc": true    },    "site": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "operating_min": "string",      "operating_max": "string",      "power_market": "string",      "settlement_point": "string",      "settlement_point_name": "string"    },    "entities_modified": [      {        "scope": "string",        "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",        "subaccount_id": 0      }    ],    "memberships_can_approve": [      {        "scope": "string",        "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",        "subaccount_id": 0      }    ],    "new_member": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "role": "string",        "scope": "string",        "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",        "subaccount_id": 0,        "is_delete": true      }    ],    "update_role": {      "old_memberships": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "role": "string",          "scope": "string",          "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",          "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",          "subaccount_id": 0,          "is_delete": true        }      ],      "new_memberships": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "role": "string",          "scope": "string",          "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",          "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",          "subaccount_id": 0,          "is_delete": true        }      ]    },    "old_entity": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "new_entity": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "change_2fa": {      "enable": true    },    "change_workspace_visibility": {      "enable": true    }  }}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}